#!/bin/bash
# First scaffold
gensite -s
# Second root pages/resources
for f in pages/*.md; do echo $f && gensite -r $f;done
for f in root/*; do echo $f && gensite -R $f ;done
# Third the posts
for post in posts/*.md; do echo $post && gensite -p $post;done
# Finally the notes
for note in notes/*.md; do echo $note && gensite -P $note;done
# Next we do some optimizing of the css (reduces size from 5.5KB to 2.5KB
echo curl -X POST -s --data-urlencode 'input@root/style.css' https://cssminifier.com/raw \> .mirror/style.css
curl -X POST -s --data-urlencode 'input@root/style.css' https://cssminifier.com/raw > .mirror/style.css
